Name:           ukiboot
Version:        0.1.4+git7d0d49c96a38
Release:        1%{?dist}
Summary:        A UEFI bootloader similar to android boot

License:        LGPL-2.1-or-later
Source:         ukiboot-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: meson
# The gnu-efi in CS9 doesn't work on aarch64, so use this cs10 backport for now
BuildRequires: gnu-efi-ukiboot
BuildRequires: python3
BuildRequires: systemd
BuildRequires: systemd-ukify
BuildRequires: systemd-boot

%description
A UEFI bootloader similar to android boot.

%prep
%autosetup -p1

%build
%meson -Defi-libdir=/usr/lib/gnu-efi-ukiboot -Defi-libdir=/usr/lib/gnu-efi-ukiboot -Defi-includedir=/usr/gnu-efi-ukiboot/include/efi
%meson_build

%install
%meson_install

%post
%systemd_post ukiboot-set-success.service

%preun
%systemd_preun ukiboot-set-success.service

%postun
%systemd_postun ukiboot-set-success.service

%files
%{_libexecdir}/ukiboot
%{_bindir}/ukibootctl
%{_unitdir}/ukiboot-set-success.service
%license COPYING.LIB

%changelog
* Mon Jun 30 2025 Enric Balletbo i Serra <eballetb@redhat.com> - 0.1.4+git7d0d49c96a38-1
- Update to 0.1.4+git7d0d49c96a38-1

* Fri May 16 2025 Alexander Larsson  <alexl@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Wed May 07 2025 Alexander Larsson  <alexl@redhat.com> - 0.1.3-1
- Update to 0.1.3

* Wed May 07 2025 Alexander Larsson  <alexl@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Wed Apr 30 2025 Alexander Larsson  <alexl@redhat.com> - 0.1.1-1
- Update to 0.1.1

* Wed Feb 26 2025 Alexander Larsson <alexl@redhat.com>
- Initial version
